import 'package:flutter/material.dart';
import 'package:senior_design_system/senior_design_system.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';
import '../page_wrapper.dart';

class DraggableListExample extends StatelessWidget {
  const DraggableListExample({ Key? key }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    List<SeniorDraggableItem> items = [
      SeniorDraggableItem(
        key: Key('1'),
        color: SeniorColors.manchesterColorOrange,
        text: 'Primeiro item',
      ),
      SeniorDraggableItem(
        key: Key('2'),
        color: SeniorColors.manchesterColorBlue,
        text: 'Segundo item',
      ),
      SeniorDraggableItem(
        key: Key('3'),
        color: SeniorColors.manchesterColorGreen,
        text: 'Terceiro item',
      ),
      SeniorDraggableItem(
        key: Key('4'),
        color: SeniorColors.secondaryColor800,
        text: 'Quarto item',
      ),
    ];

    return PageWrapper(
      title: 'Draggable List Example',
      content: Center(
        child: SeniorDraggableList(
          padding: EdgeInsets.symmetric(
            horizontal: 12.0,
            vertical: 8.0,
          ),
          items: items,
        ),
      ),
    );
  }
}
