import 'package:flutter/material.dart';
import 'package:senior_design_system/senior_design_system.dart';
import 'package:senior_design_tokens/senior_design_tokens.dart';
import '../panel.dart';
import '../page_wrapper.dart';

class MessageCardExample extends StatefulWidget {
  const MessageCardExample({Key? key}) : super(key: key);

  @override
  State<MessageCardExample> createState() => _MessageCardExampleState();
}

class _MessageCardExampleState extends State<MessageCardExample> {
  bool yesOption = true;
  bool noOption = true;

  void onChangedFeedback(bool isThumbsUp, bool isThumbsDown) {
    setState(() {
      yesOption = isThumbsUp;
      noOption = isThumbsDown;
    });

    showDialog<String>(
      context: context,
      builder: (BuildContext context) => AlertDialog(
        title: Text('Feedback alterado'),
        content: Text('Opção Sim: $yesOption\nOpção Não: $noOption'),
      ),
    );
  }

  Widget build(BuildContext context) {
    return PageWrapper(
      title: 'Message Card Example',
      content: Scaffold(
        body: Padding(
          padding: const EdgeInsets.all(
            SeniorSpacing.normal,
          ),
          child: SingleChildScrollView(
            child: Column(
              children: [
                Panel(
                  title: 'Sem feedback',
                  content: Container(
                    height: 250.0,
                    child: SeniorMessageCard(
                      message: message,
                      margin: const EdgeInsets.symmetric(
                        horizontal: SeniorSpacing.normal,
                      ),
                    ),
                  ),
                ),
                Panel(
                  title: 'Com feedback',
                  content: Container(
                    height: 250.0,
                    child: SeniorMessageCard(
                      message: message,
                      margin: const EdgeInsets.symmetric(
                        horizontal: SeniorSpacing.normal,
                      ),
                      feedbackInfo: SeniorMessageCardFeedbackInfo(
                        message: 'Esta mensagem foi útil para você?',
                        isThumbsUp: yesOption,
                        isThumbsDown: noOption,
                        onChangedFeedback: onChangedFeedback,
                      ),
                    ),
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}

const message = '''Caro, Sr. Emílio.
Informamos que o caminhão de placa ABC-0123 foi recebido pela Cooperativa.
Produto Soja
Peso Líquido: 25 toneladas
Percentual de umidade: 10%
Data: 13/02/2017 - 15:00
''';