import 'package:flutter/material.dart';
import 'package:senior_design_system/senior_design_system.dart';
import 'package:senior_design_system/widgets/senior_modal.dart';

class ModalExample extends StatefulWidget {
  const ModalExample({Key? key}) : super(key: key);

  @override
  _ModalExampleState createState() => _ModalExampleState();
}

class _ModalExampleState extends State<ModalExample> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        alignment: Alignment.center,
        child: Column(
          children: [
            InkWell(
              onTap: () {
                showDialog(
                  context: context,
                  builder: (context) {
                    return SeniorModal(
                      title: 'Título da Modal',
                      content:
                          'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum urna lorem, dapibus non mi vitae, ornare finibus nisl.',
                      ghostButton: SeniorButton(
                        label: 'Ghost Button',
                        fullLength: true,
                        onPressed: () {},
                        type: SeniorButtonType.ghost,
                      ),
                    );
                  },
                );
              },
              child: Text(
                'Click to open ghost button modal',
                textAlign: TextAlign.center,
              ),
            ),
            SizedBox(
              height: 16,
            ),
            InkWell(
              onTap: () {
                showDialog(
                  context: context,
                  builder: (context) {
                    return SeniorModal(
                      title: 'Título da Modal',
                      content:
                          'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum urna lorem, dapibus non mi vitae, ornare finibus nisl.',
                      ghostButton: SeniorButton(
                        label: 'Ghost Button',
                        fullLength: true,
                        onPressed: () {},
                        type: SeniorButtonType.ghost,
                      ),
                      actionButton: SeniorButton(
                        label: 'Primary Button',
                        fullLength: true,
                        onPressed: () {},
                        type: SeniorButtonType.primary,
                      ),
                    );
                  },
                );
              },
              child: Text(
                'Click to open ghost and primary button modal',
                textAlign: TextAlign.center,
              ),
            ),
            SizedBox(
              height: 16,
            ),
            InkWell(
              onTap: () {
                showDialog(
                  context: context,
                  builder: (context) {
                    return SeniorModal(
                      title: 'Título da Modal',
                      content:
                          'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum urna lorem, dapibus non mi vitae, ornare finibus nisl.',
                      ghostButton: SeniorButton(
                        label: 'Ghost Button',
                        fullLength: true,
                        onPressed: () {},
                        type: SeniorButtonType.ghost,
                      ),
                      actionButton: SeniorButton(
                        label: 'Danger',
                        fullLength: true,
                        onPressed: () {},
                        type: SeniorButtonType.danger,
                      ),
                    );
                  },
                );
              },
              child: Text(
                'Click to open danger and ghost button modal',
                textAlign: TextAlign.center,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
