# SeniorExpansionPanelList class

Use SeniorExpansionPanelList para criar uma lista de painéis expansíveis com as definições do Senior Design System.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__

## Construtores

* SeniorExpansionPanelList({
    Key? key,
    required this.list,
    required this.expansionCallback,
}) ... __const__

## Propriedades

| Property          | Type                    | Description                                               | Required | Default |
| ----------------- | ----------------------- | --------------------------------------------------------- | -------- | ------- |
| key               | Key                     | Controla como um widget substitui outro widget na árvore. | Não      |         |
| list              | List< SeniorPanelData > | Lista de painéis.                                         | Sim      |         |
| expansionCallback | ExpansionPanelCallback  | Função chamada quando um painel é expandido.              | Sim      |         |

## Código

```dart
SeniorExpansionPanelList(
    list: list,
    expansionCallback: (index, state) {
        setState(() {
            list[index].isExpanded = !state;
        });
    },
)
```