# SeniorRadioButton class

Use SeniorRadioButton para adicionar widgets do tipo radio button com as definições do Senior Design System no seu layout.

## Herança

Object > DiagnosticableTree > Widget > __StatelessWidget__

## Construtores

* SeniorRadioButton({
    Key? key,
    required String title,
    required T groupValue,
    required T value,
    required Function(T?) onChange,
    bool disabled = false,
    bool toggleable = false,
}) ... __const__

## Propriedades

| Property   | Type         | Description                                                                                                                   | Required | Default |
| ---------- | ------------ | ----------------------------------------------------------------------------------------------------------------------------- | -------- | ------- |
| key        | Key          | Controla como um widget substitui outro widget na árvore.                                                                     | Não      |         |
| title      | String       | Título do radio button. Texto apresentado.                                                                                    | Sim      |         |
| groupValue | T            | O valor atualmente selecionado para um grupo de botões de opção.                                                              | Sim      |         |
| value      | T            | O valor representado por este botão de opção.                                                                                 | Sim      |         |
| onChange   | Function(T?) | Função chamada quando o usuário seleciona o radio button.                                                                     | Sim      |         |
| disabled   | bool         | Determina se o radio button estará desabilitado.                                                                              | Não      | false   |
| toggleable | bool         | Defina como *true* se este radio button puder retornar a um estado indeterminado selecionando-o novamente quando selecionado. | Não      | false   |