"""Extension module to create customizations"""

from pathlib import Path


class Extensions:
    def __init__(
        self,
    ):
        senior_ci_extensions_file = Path("senior_ci_extensions.py")

        self.senior_ci_extensions = None
        if senior_ci_extensions_file.is_file():
            self.senior_ci_extensions = __import__("senior_ci_extensions")

    def before_build(self):
        self._exec_hook("before_build")

    def after_build(self):
        self._exec_hook("after_build")

    def before_release_snapshot(self):
        self._exec_hook("before_release_snapshot")

    def after_release_snapshot(self):
        self._exec_hook("after_release_snapshot")

    def before_release(self):
        self._exec_hook("before_release")

    def after_release(self):
        self._exec_hook("after_release")

    def before_change_changelog(self):
        self._exec_hook("before_change_changelog")

    def after_change_changelog(self):
        self._exec_hook("after_change_changelog")

    def before_packaging(self):
        self._exec_hook("before_packaging")

    def after_packaging(self):
        self._exec_hook("after_packaging")

    def before_deploy(self):
        self._exec_hook("before_deploy")

    def after_deploy(self):
        self._exec_hook("after_deploy")

    def before_sonar_send(self):
        self._exec_hook("before_sonar_send")

    def after_sonar_send(self):
        self._exec_hook("after_sonar_send")

    def before_sonar_preview(self):
        self._exec_hook("before_sonar_preview")

    def after_sonar_preview(self):
        self._exec_hook("after_sonar_preview")

    def _exec_hook(self, hook):
        if self.senior_ci_extensions and hasattr(self.senior_ci_extensions, hook):
            hook = getattr(self.senior_ci_extensions, hook)
            hook()

        self.do_nothing()

    @staticmethod
    def do_nothing():
        """Method for when the hook was not found"""
