# GUIA DE CONTRIBUIÇÃO PARA OS SCRIPTS DO SENIOR CI

O projeto está em migração para python, logo novas funcionalidades devem estar escritas em python, podendo já utilizar os padrões já existentes.

## Processo de Merge Request

Para realizar melhorias ou ajustes nos scripts utilizados na integração contínua dos produtos é necessário seguir os seguintes passos:

 - Criar um branch no projeto Senior CI a partir da `develop`, no padrão de nomenclatura Senior (e.g. `feature/jira-1234`).
 - Realizar as implementações necessárias para o sua melhoria no branch recém criado.
 - Testar a melhoria em seu projeto que necessita da alteração. (Informações de como testar logo a seguir)
 - Abrir uma issue no Jira para o time DevOps (projeto **DEVOPS** no Jira) solicitando a revisão do Merge Request e a liberação de uma nova versão oficial do Senior CI. Na descrição da issue **deve ser informado o motivo da alteração**, para que possamos entender o contexto (lembrando sempre que deve ser uma alteração que traga melhorias para **todos os outros times de desenvolvimento** e não só da sua equipe). 
 - Abrir um Merge Request no Senior CI associado à tarefa no Jira, esta tarefa serve como alerta para a equipe para analisar a alteração e realizar o aceite do merge e a liberação de uma nova versão do Senior CI.

## Como testar as alterações no seu projeto?

Para testar as alterações em um projeto isolado sem impactar nos demais projetos basta adicionar as variáveis `SCI_VERSION_TAG_BACKEND` e `SCI_VERSION_TAG_FRONTEND` nas configurações do seu **projeto** no  GitLab (`Settings > CI / CD > Variables`), informando como valor das variáveis o nome do branch criado no repositório Senior CI com as suas alterações. Desse modo o CI irá utilizar os scripts do branch com a sua implementação na execução de um novo Job do seu projeto.

> Ao finalizar as alterações e ser realizado o aceite do Merge Request é importante que as variáveis `SCI_VERSION_TAG_BACKEND` e `SCI_VERSION_TAG_FRONTEND` sejam removidas das configurações do **projeto**. Quando o Merge Request for aceito o branch da implementação será excluído e caso as variáveis não tenham sido removidas ocorrerão erros em **todos os jobs do CI** executados no projeto em questão.
