import sys

from gql import gql, Client
from gql.transport.requests import RequestsHTTPTransport

sys.path.append("./senior-ci")

from common import (
    get_env_variable,
)


class GraphqlClient:
    """Create a cliente to make call to graphql endpoint"""

    def __init__(self) -> None:
        cqat_url = get_env_variable("CQAT_URL")

        sample_transport = RequestsHTTPTransport(
            url=f"{cqat_url}/graphql",
            use_json=True,
            headers={
                "Content-type": "application/json",
            },
            verify=False,
            retries=3,
        )

        self.client = Client(
            transport=sample_transport,
            fetch_schema_from_transport=True,
        )

    def call(self, graphql_schema, params):
        """Execute a request"""

        return self.client.execute(gql(graphql_schema), variable_values=params)
