import sys
import yaml

sys.path.append("./senior-ci")

from common import (
    exec_command,
    exec_command_without_print,
    exit_message,
    get_env_variable,
)
from common.extensions import Extensions
from common.helm_helpers import add_nexus_repo, get_version

add_nexus_repo()

chart_name = None

with open("./helm/Chart.yaml", "r") as stream:
    try:
        chart = yaml.safe_load(stream)

        chart_name = chart["name"]
    except yaml.YAMLError as exc:
        exit_message(exc)

nexus_username = get_env_variable("NEXUS_USERNAME")
nexus_password = get_env_variable("NEXUS_PASSWORD")
version = get_version()

exec_command_without_print(
    f"helm nexus-push nexus-senior login -u {nexus_username} -p {nexus_password}"
)

extensions = Extensions()

extensions.before_packaging()

exec_command(f"helm package ./helm --version {version}")
exec_command(
    f"helm nexus-push nexus-senior {chart_name}-{version}.tgz -u {nexus_username} -p ''"
)

extensions.after_packaging()
